Subject: Channel authentication should start at the current commit(s)
From: Ludovic Courtès <[email-masked]>
To: <[email-masked]>
Date: Fri, 15 Jan 2021 18:44:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Currently, the first ‘guix pull’ (when ~/.cache/guix is empty)
authenticates starting from the introductory commit.  For the ‘guix’
channel, that’s 11K commits today, which takes about a minute to process
on modern hardware.

Authentication should instead consider the current commits, as returned
by ‘guix describe’, authenticated, and start from there.

For example, if you install Guix 1.3, authentication should start at the
‘v1.3’ commit.

Ludo’.